<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Entity Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#6b7d7299241f78315cbc82bc024c948c">_deinitialise</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#cd33143466b60036804bf6c7e892afc9">_getBoneMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#530fa6cc57e3ca417c84dc2ae9eae384">_getBuffersMarkedForAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#0bedf7e8287940816e3e6837beed8d97">_getHardwareVertexAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#29c422f41b34f3ebb00e03cacb3a6885">_getNumBoneMatrices</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#4f29d1a54e12463309106ae0c2481973">_getSkelAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#2e87ca90ebb0423e86513c94a6d6853e">_getSkelAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e49f28e3e0b589d24ee8ab89ab55bc78">_getSoftwareVertexAnimVertexData</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#73887c63f8cba5d6fb6db667792ca428">_getVertexAnimTempBufferInfo</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5224496a80fa5c04e8a623794b397186">_initialise</a>(bool forceReinitialise=false)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#947a919597342cdfcaf879612da1f966">_isAnimated</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#9eadfc4eaf055507e79adbd510ef05c3">_isSkeletonAnimated</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3de64ec72046e4dc3d08dc81a9be191a">_markBuffersUsedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a00c4d0ae6c87888b0188bb7356d99dc">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7eb4f29cfb41d91de47ff92c9c011f60">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#e307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a85b59cdaf94741dc0a1bbddb7bfcfa7">_updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#372c6678c35f79f9424d8753647c5d19">_updateRenderQueue</a>(RenderQueue *queue)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#37e5b145882e789f4aac7f8e098ff2a2">addSoftwareAnimationRequest</a>(bool normalsAlso)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#6855b757e0df1aae6d6b014466d4d25b">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#cc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#eb610ebdd3c589488f5fcdbad15ae590">applyVertexAnimation</a>(bool hardwareAnimation, bool stencilShadows)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#655e046c103898fbea82bb4758200cb9">attachObjectImpl</a>(MovableObject *pMovable, TagPoint *pAttachingPoint)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#919321c3cef8f5775fdcb0a6c1a30fb6">attachObjectToBone</a>(const String &amp;boneName, MovableObject *pMovable, const Quaternion &amp;offsetOrientation=Quaternion::IDENTITY, const Vector3 &amp;offsetPosition=Vector3::ZERO)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#362ee625bacf70c5e6820fa761f43f02">backgroundLoadingComplete</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb0144397f702e25c1da682f76e7846182c27">BIND_HARDWARE_MORPH</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb014b11174dbf84a2c1dd06f418662e97acc">BIND_ORIGINAL</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb01488cb6b9b2241b9ec83389b637d59a49f">BIND_SOFTWARE_MORPH</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb014e7af4a831d02b636ad9184ce8cf952bb">BIND_SOFTWARE_SKELETAL</a> enum value</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#72b3c2be105b34e4c7bd7ac0f6b3194d">bindMissingHardwarePoseBuffers</a>(const VertexData *srcData, VertexData *destData)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#8d222ad3431c92197ebc87bea090ba8c">buildSubEntityList</a>(MeshPtr &amp;mesh, SubEntityList *sublist)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#2c5b26a1ffc320e3ad9b79fc6c57f983">cacheBoneMatrices</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a0889e3a093c1c8f7f14763eda69c648">ChildObjectList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#400eb4dc70adbaaa14ec904bec80ba86">ChildObjectListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#78d507fc92dbd8db20cb5f841a97bac2">chooseVertexDataForBinding</a>(bool hasVertexAnim) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f830122f31f84fe1abe4abafe5d28e73">clone</a>(const String &amp;newName) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#fe98cefd0aab29b9836ccfc3e7a4b439">cloneVertexDataRemoveBlendInfo</a>(const VertexData *source)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#b2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#56ce1aa6035d892a058b66db05d7e121">detachAllObjectsFromBone</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c4119d84e8cdeccbd4f07149e006cbd0">detachAllObjectsImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#a8ebed255eff0ae34d2c07b5c75be7c3">detachObjectFromBone</a>(const String &amp;movableName)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#9a305624b894260c7cbeabd1eb5df612">detachObjectFromBone</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3ccf1861fad72fb3bde8be9022fe3031">detachObjectImpl</a>(MovableObject *pObject)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#46450fa419de7cb1d208ab356e390aef">Entity</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#678675af8e05d301c469e12c38bd1a25">Entity</a>(const String &amp;name, MeshPtr &amp;mesh)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#6ebd07b4b60153d4b7a405e1fe75419b">EntityFactory</a> class</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#dea929f3a94c86dfede8bd3d71dff929">EntitySet</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#27c758b9abd17432c666b35760c0e883">extractTempBufferInfo</a>(VertexData *sourceData, TempBlendedBufferInfo *info)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#cae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#0f8e068aa3cd6e3ae6c02f1179ee6552">findBlendedVertexData</a>(const VertexData *orig)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7a1a0c6137494a85f06ff531f5a6b8c9">findSubEntityForVertexData</a>(const VertexData *orig)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f7952ee37a96c2f00347872b093bb729">getAllAnimationStates</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e787615c9b8bc73c5aee13138314f388">getAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7a848ca2c6baf222366f7da049af4e45">getAttachedObjectIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#728f1a347a2679b53f362b1088c939b1">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c94edb826b58fc7d0e5034ea2dfee919">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#56204f0d0c16976eab1f3b4e4141bdb8">getChildObjectsBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#73512903a0b2ed08f2887562affe5c61">getDisplaySkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#b3d3d4e4aef1e2831572c2c052d29aec">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#86bccc1127552d48ba58e65a1418a441">getManualLodLevel</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#2dc989455dd9365c2047975cae67bf3b">getMesh</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#91750c91f199ec1b75c721fcfe19c40e">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7626da92108f5bf29203d5f5eb1b6ae5">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#2d7583e9d929256fd9b840aafc19abc4">getNumManualLodLevels</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7feae6b7226cc998c7bf6836c47a3690">getNumSubEntities</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#bb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5c2c5a1d7923238f10b78c030c57a5ea">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDistance, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d5d856758e4d7690a73a5079a9a3c043">getSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#90e99a701e73958ddd854d71e3c86d9a">getSkeletonInstanceSharingSet</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3dd84e0c897035b1f9cb688250af8e09">getSoftwareAnimationNormalsRequests</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#900ff2a18c8c6ebf1bf5751e18dfdad5">getSoftwareAnimationRequests</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#38b4ae5e0a39a1088a47cda113cbb4e2">getSubEntity</a>(unsigned int index) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#863d6cdbc4c6cfa8a36671919f22b214">getSubEntity</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#14ace86637fc9e265272de3d9faee514">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#db62f2cc2aebbbba65472344cb799dd4">getUserObject</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#1aac0e578d6455d155bab1f716391aaa">getVertexDataForBinding</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#dbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5edde0278ae3942c9816690cb3462853">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#08900679175af3be2cf039cada86ec85">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f155dfe2635fad3ed2aff25fcde75421">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#0c748a6ced3cf1bfa0df0f418d44d553">hasSkeleton</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f0d66f34851e5949f22f72e292c2476f">hasVertexAnimation</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#fc8bfcc508d84569d4a515648d0500c2">initHardwareAnimationElements</a>(VertexData *vdata, ushort numberOfElements)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#be9ac5a54323bf4fbd78ff0a271a808f">isHardwareAnimationEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#080b0c12616c24fff379fd8a8b8588b0">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#358139c1e09d4c36c050861bd4f5b37e">Listener</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#9a65d14190bb6c91af5f8a1722b45fcf">LODEntityList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#8a81acbe8b109c90a9626af1bb8e3486">mAnimationState</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e46743f3b416899db0e51dd7cb6a9d68">markBuffersUnusedForAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#b9f9c2bae3cca46ce5bb38c49af2dac5">mBoneMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d0b28dae0755af4580b6fef9cfee09c5">mBoneWorldMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#db12cb08c315b91d4afd3fd6e8bdf42a">mChildObjectList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#430f4ea48fb326c719d999ff0455381d">mDisplaySkeleton</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#6d86af633b0f5b7e6a56ae5b7ad73fb7">mFrameAnimationLastUpdated</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5519a0296deb06a911d2583f33fa4698">mFrameBonesLastUpdated</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7166859b52d853eb7ae6dc345480ab85">mFullBoundingBox</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#0c9e38082e38977fd67054c8c630914c">mHardwareAnimation</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#6f05d449d210ae71943fc05713bb9fc3">mHardwarePoseCount</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3ba3f9becccbbbb88ffbdd2830041046">mHardwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#9d37a344485174f9302a2482ef086bb0">mInitialised</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#ce6391afd6a4b3c63d5f60b77493a903">mLastParentXform</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#f083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d1c62a082a224da4ef9dd61500af0cbc">mLodEntityList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#139ceae23ed7fb0ea6018037ebbcb196">mMaterialLodFactorInv</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#18fda237648767210ac8d8150f47a012">mMaxMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d1d282aa020c7151c6b22c4b7bd11b03">mMaxMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#59d0c2fae2ca85f9159f7fe3d657042f">mMesh</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#44072b41772b21e124cbfd5b896ca830">mMeshLodFactorInv</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#537ad00ef6de8026f719b1e7eacaa967">mMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d87b226a94509299ae28aca21a5cd23b">mMinMaterialLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#6c5e42c9a3002c95428eefa12db6f725">mMinMeshLodIndex</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c405c63509e16a70770ac520e8536936">mNormaliseNormals</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f32437e0dd990a1f18524db2a8ba0ed4">mNumBoneMatrices</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#46758025f0a3ee1e16adcf788a487f40">mPreparedForShadowVolumes</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#df36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#deb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5ff5ec4158aa0f1aac774de73e8e2915">mShadowRenderables</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d3425f765090d6301c5e1de089c50b40">mSharedSkeletonEntities</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c1e7ef6c059cece297bcdadc7978a526">mSkelAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e3ab1dc4ed3adb6e883537ddef580c03">mSkeletonInstance</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#fb19400e77cdf8d7185b97636a932db8">mSoftwareAnimationNormalsRequests</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d6d932b783b839685b5c96f8ee7f972e">mSoftwareAnimationRequests</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c5cae2e18091b3e188eb3cd967cf7388">mSoftwareVertexAnimVertexData</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#c59b88f21929c945ab3076808aed716b">mSubEntityList</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e8913b0ce137c8b26e624ec6645da0dd">mTempSkelAnimInfo</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#f0753feda78522e7a6f27a97411eccbf">mTempVertexAnimInfo</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#55581f086c6b7f68b080de187d1790fb">mUserAny</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#0bd12cb0730ed5c7a14ca6ee61adb323">mVertexAnimationAppliedThisFrame</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#72572fcb7db729d8d500b36aea90146b">mVertexProgramInUse</a></td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#67127c7e6254c75a3e3f064e614a8152">objectAttached</a>(MovableObject *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#0cc50a90dbeb3d1049e923ee5866a636">objectDestroyed</a>(MovableObject *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#a2a6f73325a1609a522a9d6dce5168cf">objectDetached</a>(MovableObject *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#7383d0ff8a3e3777378e1a9f9661146f">objectMoved</a>(MovableObject *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#d53d3feb40d1d1fb81db1cb620df6d8e">objectQueryLights</a>(const MovableObject *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#3935f0e525d63b03923aa67b137c0695">objectRendering</a>(const MovableObject *, const Camera *)</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#424ddc70850921eea51f039c197f697c">prepareTempBlendBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#bf96091c1fc77dcb58c39d0d87ff70af">reevaluateVertexProcessing</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d698bddda21deaa941ccbf2b4fb833e8">refreshAvailableAnimationState</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#871eed360bcbf391459316ffbcda0651">removeQueryFlags</a>(unsigned long flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#b5ddc32fa1b9e150dc8348aeef66d273">removeSoftwareAnimationRequest</a>(bool normalsAlso)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#4629646ac6c6f19f7ef24df94222df07">restoreBuffersForUnusedAnimation</a>(bool hardwareAnimation)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#cbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#d8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#c2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d35ffbcce1d3074cdb6f23fdd54bebaa">setDisplaySkeleton</a>(bool display)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#d575e7f401ddff60368cfa5fd112d34c">setMaterialLodBias</a>(Real factor, ushort maxDetailIndex=0, ushort minDetailIndex=99)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#06b6abf252ac1c406a5655c445a2f860">setMaterialName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#cabf6919ae8c5e612c467b5176916564">setMeshLodBias</a>(Real factor, ushort maxDetailIndex=0, ushort minDetailIndex=99)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#64573359b7c236e71de5c6a375a0bc76">setNormaliseNormals</a>(bool normalise)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#e47fc3ef5063f3bcf2469eb28b19c42f">setPolygonModeOverrideable</a>(bool PolygonModeOverrideable)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#779d9a0bb037f2dd42493329bf5ff805">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#b07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#19cb3e66484a172e05c336737b713400">setUserObject</a>(UserDefinedObject *obj)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c7b3777c0e3521c021ec3a1c2c444039">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#578e73481cd3797df4e455b385acdb45">shareSkeletonInstanceWith</a>(Entity *entity)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#15d03448d5f94cb547ef0212aaaaa680">sharesSkeletonInstance</a>() const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#81d22d1b948432bd8d1127690b00b53f">stopSharingSkeletonInstance</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5102c4966341431b89134719b3998e3b">SubEntity</a> class</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#bf738e5449c79b27c9a4863a32002d7e">SubEntityList</a> typedef</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#7aac543dcf66ef4800f2f4d407be902f">tempSkelAnimBuffersBound</a>(bool requestNormals) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#49d6eae3281e4bbb138f48deb776fc92">tempVertexAnimBuffersBound</a>(void) const </td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#9b04f27b372b05090ac0ed9e7ab90fb9">updateAnimation</a>(void)</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#c9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#3155eeab3bceea736771f49e4becb014">VertexDataBindChoice</a> enum name</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#c61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Entity.html#5a74b604993a8e9c9f809c4881941713">~Entity</a>()</td><td><a class="el" href="classOgre_1_1Entity.html">Ogre::Entity</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html#7731592ff0013b724f0be7a319a73fa8">~Listener</a>()</td><td><a class="el" href="classOgre_1_1MovableObject_1_1Listener.html">Ogre::MovableObject::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:36 2008
</p>
</body>
</html>
